*
{
	margin:0;                     /* Pour enlever les marges du navigateur */
	padding:0;
    box-sizing: border-box;       /* Inclut les bordures et les rembourrages dans la largeur et la hauteur spécifiées */
}

a
{                                 /* Balise pour les liens */
    text-decoration: none;        /* Permet d'enlever le soulignement des liens */
}

body {
    background-color: #F7F7F7;
    font-family: sans-serif;
}

.bloc-info {
    display: inline-block;                         /* Permet d'ajuster la largeur de l'élément à son contenu sans occuper la largeur totale */
    margin: 20px;
    min-height: 50vh;
}

.bloc-info .espace-info {
    width: 420px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.4);
    border-radius: 10px;
    padding: 30px 40px;
    margin: 30px;
    display: inline-block;                         /* Permet d'ajuster la largeur de l'élément à son contenu sans occuper la largeur totale */
    border: 3px solid black;                     /* Ajoute une bordure noire de 3 pixels au cercle */
}


.bloc-compte {
    display: inline-block;                         /* Permet d'ajuster la largeur de l'élément à son contenu sans occuper la largeur totale */
    margin: 20px;
}

.bloc-compte .espace-compte {
    width: 420px;
    height: 650px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.4);
    border-radius: 10px;
    padding: 30px 40px;
    margin: 30px;
    display: inline-block;                         /* Permet d'ajuster la largeur de l'élément à son contenu sans occuper la largeur totale */
    align-items: inline-block;                     /* Aligne les éléments enfants par rapport à la ligne de base */
    border: 3px solid black;                     /* Ajoute une bordure noire de 3 pixels au cercle */

}
.bloc-compte .espace-compte .transactions-list {
    max-height: 200px; 
    overflow-y: auto;  
    list-style: none;  
    padding: 0;        
}

.transactions-list li {
    border-bottom: 1px solid #ccc; /* Bordure entre les transactions */
    padding-bottom: 10px; /* Espacement entre les transactions */
    margin-bottom: 10px; /* Marge entre les transactions */
}

.transactions-list li:last-child {
    border-bottom: none; /* Supprime la bordure pour la dernière transaction */
} 

/* Style général pour les divs des inputs */
.espace-compte form label,
.espace-compte form input,
.espace-compte form button {
    margin-bottom: 10px;
}

/* Style pour les labels */
.espace-compte form label {
    display: block;
    font-weight: bold;
}

/* Style pour les inputs */
.espace-compte form input {
    width: 100%;
    padding: 8px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
    margin-bottom: 10px;
}

/* Style pour les boutons */
.espace-compte form button {
    background-color: #4CAF50;
    color: white;
    padding: 10px 15px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.espace-compte form button:hover {
    background-color: #45a049;
}

p {
    margin: 8px 0;
    color: #666;
}

ul {
    list-style: none;
    padding: 0;
}

li {
    margin-bottom: 10px;
}

strong {
    color: #007bff;
}

.bloc-info .espace-info h1
{
    font-size: 30px;
    color: #333;
    text-align: center;
}

::-webkit-scrollbar                /* Scroll-bar plus jolie */
{
    width: 8px;
}

::-webkit-scrollbar-thumb
{
    background-color: #4f4f4f;
    border-radius: 30px;
}

section                              /* Pour les sections dont la hauteur n'est pas calculée (donc pas pour les 2 blocs publicitaires */
{
    padding: 40px 5%;
}

/*-----------------------------------------------------------Header----------------------------------------------------- */
header
{
    display: flex;
    align-items: center;
    justify-content: space-between; /* Même espace entre les éléments de la barre du menu*/
    padding: 10px 5%;               /* Haut et bas = 10px / Gauche et droite 5% entre les éléments de la longueur */ 
}

header .logoBBF
{
    display: flex;
    align-items: center;
}

header .logoBBF img
{
    width: 80px;
    height: 90px;
}

header .logoBBF h1
{
    font-size: 30px;
    color: #BB2332;
}

.button-link-connexion             /* Bouton pour se connecter à l'espace client */
{
    border: 0;                    
    background: transparent;
}

.button-link-connexion a
{
    font-size: 18px;
    color: black;
    padding: 10px 25px;
    background: linear-gradient(#BB2332, #a14951);
    border-radius: 60px;
    text-transform: uppercase;
}

/*-------------------------------------------------------------------------Footer----------------------------------------------------------------------*/

footer                                /* Dernière partie de la page web */
{
    background-color: #1B3E76;
    color: #F7F7F7;
    font-size: 16px;
    padding: 30px 5%;
}

footer a
{
    color: #F7F7F7;
}

footer p
{
    font-size: 14px;
}

.logoBBFFin                            /* Le logo de la banque */
{
    margin-bottom: 40px;
}

.logoBBFFin img
{
    width: 12%;
    height: 12%;
}

.plan                                 /* Aligne les listes horizontalement */
{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;                  /* Réorganisation des blocs sur plusieurs lignes si la fenêtre est réduites */   
}

.plan b
{
    font-size: 23px;
}

.plan li
{
    list-style: none;                  /* On retire les puces */
    margin-top: 8px;
    position: relative; 
}

.plan li:hover 
{
    text-decoration: underline;       /* Ajoute une ligne sous le texte au survol */
    text-decoration-color: #BB2332; /* Couleur de la ligne */
    text-decoration-thickness: 3px;   /* Épaisseur de la ligne */
    text-underline-position: under;   /* Position de la ligne sous le texte */
    text-decoration-skip-ink: none;   /* Option pour éviter la troncation des lettres */
}

/* Mobile responsive */
@media (max-width: 750px)
{
    section                              /* Pour les sections dont la hauteur n'est pas calculée (donc pas pour les 2 blocs publicitaires */
    {
        padding: 0 5%;
    }

    header .logoBBF h1
    {
        font-size: 18px;
    }

    header .logoBBF img 
    {
        width: 50px;
        height: 60px;
    }

    .button-link-connexion a             /* Bouton "Espace client" */
    {
        font-size: 12px;
    }

    footer
    {
        margin-top: 80px;                 /* Ajoute un espace entre footer et à propos de */
    }

    .logoBBFFin img
    {
        width: 30%;
        height: 30%;
    }

    .plan                                 /* Aligne les listes horizontalement */
    {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .plan ul
    {
        margin-bottom: 50px;
    }

    
}